import { h, Host } from '@stencil/core';
import { MintStatus as Status } from '../../block';
export class MintStatus {
  constructor() {
    this.mintStatus = undefined;
  }
  render() {
    return (h(Host, null, h("div", { class: "mint-status", part: "status-bar" }, h("span", { part: "status-text" }, Status[this.mintStatus].toLowerCase()))));
  }
  static get is() { return "mint-status"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["mint-status.sass"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["mint-status.css"]
    };
  }
  static get properties() {
    return {
      "mintStatus": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "Status",
          "resolved": "MintStatus.BOTH | MintStatus.CLOSED | MintStatus.PRIVATE | MintStatus.PUBLIC",
          "references": {
            "Status": {
              "location": "import",
              "path": "../../block"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "mint-status",
        "reflect": false
      }
    };
  }
}
