import { Host, h } from '@stencil/core';
export class QuantitySelector {
  constructor() {
    this.selectedAmount = undefined;
    this.allocationLeft = undefined;
  }
  render() {
    return (h(Host, null, h("select", { id: "token-amount", part: "mint-quantity", ref: el => (this.select = el), disabled: this.allocationLeft === 0, onChange: () => {
        this.amountChanged.emit(parseInt(this.select.value));
      }, class: "select select-bordered wrapper token-amount" }, h("option", { disabled: true }, "Select Quantity"), Array.from({ length: Math.max(this.allocationLeft, 1) }).map((_, qt) => (h("option", { value: qt + 1 }, qt + 1))))));
  }
  static get is() { return "quantity-selector"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["quantity-selector.sass"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["quantity-selector.css"]
    };
  }
  static get properties() {
    return {
      "selectedAmount": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "selected-amount",
        "reflect": false
      },
      "allocationLeft": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "allocation-left",
        "reflect": false
      }
    };
  }
  static get events() {
    return [{
        "method": "amountChanged",
        "name": "amountChanged",
        "bubbles": true,
        "cancelable": true,
        "composed": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        }
      }];
  }
}
