import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';
import { f as formatEther, B as BigNumber } from './ethers.js';

const mintConfigCss = ".mint-button-label{display:var(--mint-button-label, block)}.input-group{display:flex;width:100%;height:100%;align-items:stretch}.input-group>.input{isolation:isolate}.input-group>*,.input-group>.input{border-radius:0px}.input-group :where(span){display:flex;align-items:center;--tw-bg-opacity:1;padding-left:1rem;padding-right:1rem}.input-group :first-child{border-top-left-radius:var(--rounded-btn, 0.5rem);border-bottom-left-radius:var(--rounded-btn, 0.5rem)}.input-group :last-child{border-top-right-radius:var(--rounded-btn, 0.5rem);border-bottom-right-radius:var(--rounded-btn, 0.5rem)}:host{display:block}.summary{padding:1rem 0;display:flex;align-items:center;justify-content:space-between}.wrapper{display:flex;width:full;flex-direction:row;justify-content:space-between;padding:0.5rem 0;align-items:center;gap:0.5rem}";

const MintConfig = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.amountChanged = createEvent(this, "amountChanged", 7);
    this.selectedAmount = undefined;
    this.allocationLeft = undefined;
    this.mintPrice = undefined;
  }
  render() {
    return (h(Host, null, h("div", { class: "summary", part: "mint-summary" }, h("span", null, "Total"), h("div", null, `${formatEther(BigNumber.from(this.mintPrice).mul(this.selectedAmount).toString())} ETH`, " + gas"))));
  }
  static get style() { return mintConfigCss; }
}, [1, "mint-config", {
    "selectedAmount": [1538, "selected-amount"],
    "allocationLeft": [2, "allocation-left"],
    "mintPrice": [1, "mint-price"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mint-config"];
  components.forEach(tagName => { switch (tagName) {
    case "mint-config":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MintConfig);
      }
      break;
  } });
}

export { MintConfig as M, defineCustomElement as d };
