import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';

const quantitySelectorCss = ".mint-button-label{display:var(--mint-button-label, block)}.input-group{display:flex;width:100%;height:100%;align-items:stretch}.input-group>.input{isolation:isolate}.input-group>*,.input-group>.input{border-radius:0px}.input-group :where(span){display:flex;align-items:center;--tw-bg-opacity:1;padding-left:1rem;padding-right:1rem}.input-group :first-child{border-top-left-radius:var(--rounded-btn, 0.5rem);border-bottom-left-radius:var(--rounded-btn, 0.5rem)}.input-group :last-child{border-top-right-radius:var(--rounded-btn, 0.5rem);border-bottom-right-radius:var(--rounded-btn, 0.5rem)}:host{display:block;grid-area:quantitySelector;border:1px solid black;background-color:white;font-weight:600}:host:focus{outline:2px solid hsla(var(--bc)/0.2);outline-offset:2px}:host select{width:100%;height:100%;padding:13px 23px;background-color:transparent;border:none;-webkit-appearance:none;-moz-appearance:none;appearance:none;-ms-appearance:none;background-image:linear-gradient(45deg, transparent 50%, currentColor 50%), linear-gradient(135deg, currentColor 50%, transparent 50%);background-position:calc(100% - 20px) calc(1px + 50%), calc(100% - 16px) calc(1px + 50%);background-size:4px 4px, 4px 4px;background-repeat:no-repeat}:host select:disabled{cursor:not-allowed}.wrapper{display:flex;width:full;flex-direction:row;justify-content:space-between;padding:0.5rem 0;align-items:center;gap:0.5rem}.wrapper .input-group{align-items:center;display:flex;gap:1rem}.wrapper .input-group span{display:grid;place-items:center;height:2rem;width:2rem;border-radius:33px;border:1px solid var(--border-light, #6e7680)}button{display:flex;align-items:center;all:unset;font-size:1.5rem;cursor:pointer}button:disabled{opacity:0.5}.token-amount{grid-area:tokenAmount}.mint-summary{grid-area:mintSummary}";

const QuantitySelector = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.amountChanged = createEvent(this, "amountChanged", 7);
    this.selectedAmount = undefined;
    this.allocationLeft = undefined;
  }
  render() {
    return (h(Host, null, h("select", { id: "token-amount", part: "mint-quantity", ref: el => (this.select = el), disabled: this.allocationLeft === 0, onChange: () => {
        this.amountChanged.emit(parseInt(this.select.value));
      }, class: "select select-bordered wrapper token-amount" }, h("option", { disabled: true }, "Select Quantity"), Array.from({ length: Math.max(this.allocationLeft, 1) }).map((_, qt) => (h("option", { value: qt + 1 }, qt + 1))))));
  }
  static get style() { return quantitySelectorCss; }
}, [1, "quantity-selector", {
    "selectedAmount": [2, "selected-amount"],
    "allocationLeft": [2, "allocation-left"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["quantity-selector"];
  components.forEach(tagName => { switch (tagName) {
    case "quantity-selector":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, QuantitySelector);
      }
      break;
  } });
}

export { QuantitySelector as Q, defineCustomElement as d };
