import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const supplyDisplayCss = ".mint-button-label{display:var(--mint-button-label, block)}.input-group{display:flex;width:100%;height:100%;align-items:stretch}.input-group>.input{isolation:isolate}.input-group>*,.input-group>.input{border-radius:0px}.input-group :where(span){display:flex;align-items:center;--tw-bg-opacity:1;padding-left:1rem;padding-right:1rem}.input-group :first-child{border-top-left-radius:var(--rounded-btn, 0.5rem);border-bottom-left-radius:var(--rounded-btn, 0.5rem)}.input-group :last-child{border-top-right-radius:var(--rounded-btn, 0.5rem);border-bottom-right-radius:var(--rounded-btn, 0.5rem)}:host{grid-area:supplyDisplay}.supply-status{display:flex;justify-content:flex-end;padding:1rem 0}";

const SupplyDisplay = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.totalSupply = 0;
    this.maxSupply = 0;
  }
  render() {
    return (h(Host, null, h("div", { class: "supply-status", part: "supply-bar" }, h("div", { part: "supply-left" }, h("span", null, this.totalSupply), "/", h("span", null, this.maxSupply)))));
  }
  static get style() { return supplyDisplayCss; }
}, [1, "supply-display", {
    "totalSupply": [2, "total-supply"],
    "maxSupply": [2, "max-supply"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["supply-display"];
  components.forEach(tagName => { switch (tagName) {
    case "supply-display":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, SupplyDisplay);
      }
      break;
  } });
}

export { SupplyDisplay as S, defineCustomElement as d };
