import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const walletButtonCss = ".mint-button-label{display:var(--mint-button-label, block)}.input-group{display:flex;width:100%;height:100%;align-items:stretch}.input-group>.input{isolation:isolate}.input-group>*,.input-group>.input{border-radius:0px}.input-group :where(span){display:flex;align-items:center;--tw-bg-opacity:1;padding-left:1rem;padding-right:1rem}.input-group :first-child{border-top-left-radius:var(--rounded-btn, 0.5rem);border-bottom-left-radius:var(--rounded-btn, 0.5rem)}.input-group :last-child{border-top-right-radius:var(--rounded-btn, 0.5rem);border-bottom-right-radius:var(--rounded-btn, 0.5rem)}:host{grid-area:mainButton;background-color:var(--btn-primary, #FFFFFF);border:1px solid var(--btn-primary-border, #222222);box-sizing:border-box;cursor:pointer;display:inline-block;font-family:Circular, -apple-system, BlinkMacSystemFont, Roboto, \"Helvetica Neue\", sans-serif;font-size:16px;font-weight:600;line-height:20px;margin:0;outline:none;position:relative;text-align:center;text-decoration:none;touch-action:manipulation;transition:box-shadow 0.2s, -ms-transform 0.1s, -webkit-transform 0.1s, transform 0.1s;user-select:none;-webkit-user-select:none;width:100%;border-radius:var(--rounded-btn, 0.5rem)}:host:focus-visible{box-shadow:var(--shadow, #222222) 0 0 0 2px, rgba(255, 255, 255, 0.8) 0 0 0 4px;transition:box-shadow 0.2s}:host:active{background-color:var(--bg-focus, #F7F7F7);transform:scale(0.96)}:host:disabled{opacity:0.5;cursor:not-allowed;opacity:1}.button{padding:13px 23px;width:100%;height:100%;background:none;color:inherit;border:none;font:inherit;cursor:pointer;outline:inherit}.button:disabled{cursor:not-allowed;opacity:0.5}";

const WalletButton = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.label = undefined;
  }
  render() {
    return (h(Host, null, h("button", { part: "wallet-button", type: "button", class: "button", onClick: this.el.onclick }, h("slot", null))));
  }
  get el() { return this; }
  static get style() { return walletButtonCss; }
}, [1, "wallet-button", {
    "label": [1]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["wallet-button"];
  components.forEach(tagName => { switch (tagName) {
    case "wallet-button":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, WalletButton);
      }
      break;
  } });
}

export { WalletButton as W, defineCustomElement as d };
